package com.flow;


public enum ViewAttributes {
    CONTENT_DESC,
    CLASS,
    TEXT,
    PACKAGE,
    CHECKABLE,
    CHECKED,
    CLICKABLE,
    ENABLED,
    FOCUSABLE,
    FOCUSED,
    SCROLLABLE,
    LONG_CLICKABLE,
    PASSWORD,
    SELECTED,
    VISIBLE,
    NO_MULTILINE_BUTTONS,
    NO_OVERLAPS,
    NO_ELLIPSIZED_TEXT,
    BOUNDS,
    RESOURCE_ID,
    INSTANCE,
    INDEX,
    ADAPTERS,
    ADAPTER_TYPE,
    HINT,
    VIEW_TAG;

    public String toString() {
        String name = this.name();
        if (name == null) {
            throw new ClassCastException("null cannot be cast to non-null type java.lang.String");
        } else {
            return name.toLowerCase();
        }
    }
}
