package com.flow;

public final class ViewText {

    private final String rawText;
    private final boolean isHint;

    public String toString() {
        return this.rawText;
    }

    public final String getRawText() {
        return this.rawText;
    }

    public final boolean isHint() {
        return this.isHint;
    }

    public ViewText(String rawText, boolean isHint) {
        super();
        this.rawText = rawText;
        this.isHint = isHint;
    }

    public final String component1() {
        return this.rawText;
    }

    public final boolean component2() {
        return this.isHint;
    }

    public final ViewText copy(String rawText, boolean isHint) {
        return new ViewText(rawText, isHint);
    }
}
